<div class="psychiatric-psychosocial-mhr">
  <app-content-banner [isDashboard]="false" pageName="Psychiatric / Psychosocial / MHR" [isTutorialRequired]="true"
    [TutorialPageName]="'mhr'"></app-content-banner>
  <mat-card class="psychiatric-psychosocial-mhr-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <app-client-banner></app-client-banner>
    </mat-card-header>

    <mat-card-content>
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">

        <!--Supporting Documents Tab-->
        <mat-tab label="SupportingDocuments">
          <ng-template matTabLabel>
            <span>Supporting Documents</span>
            <mat-icon *ngIf="supportingDocumentsDataTabStatus !== blankTabStatus"
              [ngStyle]="{'color': supportingDocumentsDataTabStatus == pendingTabStatus ? pendingColor : supportingDocumentsDataTabStatus == completedTabStatus ? completedColor :noColor}">
              {{supportingDocumentsDataTabStatus == 1?'check_circle': supportingDocumentsDataTabStatus == 0 ? 'watch_later': ''}}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="psychiatric-psychosocial-mhr-small-box mat-elevation-z4" fxLayout="column">
                <div class="psychiatric-psychosocial-mhr-container mat-elevation-z4">
                  <form [formGroup]="pactPsychiatricPsychoMHRGroup">
                    <mat-label class="labelBoldText content-sub-label-history">Supporting Documents</mat-label>
                    <br />
                    <div class="note-text-indent">
                      <mat-label style="font-size: 12px;">Note: Switching response on these questions might remove the
                        Documents or
                        Comprehensive Evaluation data from Psychiatric, Psychosocial or MHR tabs.
                      </mat-label>
                    </div>

                    <div class="line-height-10">&nbsp;</div>

                    <div class="content-main">
                      <!--Question 1-->
                      <div class="content-sub">
                        <div class="supporting-doc-col1 question-padding-left line-height-20">
                          <mat-label [ngStyle]="{'color': isPsychiatricRequired === true ? redColor : blackColor}">
                            Are you going to attach/data-enter the psychiatric evaluation?
                          </mat-label>
                        </div>

                        <div class="supporting-doc-col2">
                          <mat-icon class="mat-icon"
                            style="width:0; font-size: 20px; align-self: left; margin-top: 5px;"
                            matTooltip="Psychiatric evaluation must be dated within the last 180 days."
                            matTooltipPosition="above">
                            info
                          </mat-icon>
                        </div>

                        <div class="supporting-doc-col3">
                          <mat-radio-group aria-label="Select an option" formControlName="hasPsychiatricReportCtrl">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" (click)="psychiatricEvaluationSelection('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" (click)="psychiatricEvaluationSelection('N')"> No
                              </mat-radio-button>
                            </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <!--Question 2-->
                      <div class="content-sub" *ngIf="pactPsychiatricPsychoMHRGroup.controls['hasPsychiatricReportCtrl'].value === 'Y'"
                      >
                        <div class="supporting-doc-col1 question-padding-left line-height-20">
                          <mat-label [ngStyle]="{'color': isPsychiatricRequired === true ? redColor : blackColor}">
                            &nbsp;&nbsp;&nbsp;
                            How will the psychiatric evaluation be submitted?
                          </mat-label>
                        </div>

                        <div class="supporting-doc-col2">

                        </div>

                        <div class="supporting-doc-col3">
                          <mat-radio-group aria-label="Select an option"
                            formControlName="hasPsychiatricAttachmentORDataEnterCtrl">
                            <div class="radio-button-space">
                              <mat-radio-button value="A"
                                (click)="psychiatricEvaluationAttachOrDataEnterSelection('A')">
                                Attach </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="D"
                                (click)="psychiatricEvaluationAttachOrDataEnterSelection('D')">
                                Data-enter </mat-radio-button>
                            </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <!--Question 3-->
                      <div class="content-sub">
                        <div class="supporting-doc-col1 question-padding-left line-height-20">
                          <mat-label class="redLabelText">
                            Are you going to attach/data-enter the psychosocial assessment?
                          </mat-label>
                        </div>

                        <div class="supporting-doc-col2">
                          <mat-icon style="width:0; font-size: 20px; align-self: left; margin-top: 5px;"
                            matTooltip="Psychosocial assessment must be dated with the last 180 days."
                            matTooltipPosition="above">
                            info
                          </mat-icon>
                        </div>

                        <div class="supporting-doc-col3">
                          <mat-radio-group aria-label="Select an option" formControlName="hasPsychosocialReportCtrl"
                            style="align-content: center; ">
                            <div class="radio-button-space">
                              <mat-radio-button value="Y" (click)="psychosocialEvaluationSelection('Y')"> Yes
                              </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="N" (click)="psychosocialEvaluationSelection('N')"
                                class="mat-radio-button-option-no"> No </mat-radio-button>
                            </div>
                          </mat-radio-group>
                        </div>
                      </div>

                      <!--Question 4-->
                      <div class="content-sub" *ngIf="pactPsychiatricPsychoMHRGroup.controls['hasPsychosocialReportCtrl'].value === 'Y'"
                      >
                        <div class="supporting-doc-col1 question-padding-left line-height-20">
                          <mat-label class="redLabelText">&nbsp;&nbsp;&nbsp;
                            How will the psychosocial assessment be submitted?
                          </mat-label>
                        </div>

                        <div class="supporting-doc-col2">

                        </div>

                        <div class="supporting-doc-col3">
                          <mat-radio-group aria-label="Select an option"
                            formControlName="hasPsychosocialAttachmentORDataEnterCtrl">
                            <div class="radio-button-space">
                              <mat-radio-button value="A"
                                (click)="psychosocialEvaluationAttachOrDataEnterSelection('A')">
                                Attach </mat-radio-button>
                            </div>
                            <div class="radio-button-space">
                              <mat-radio-button value="D"
                                (click)="psychosocialEvaluationAttachOrDataEnterSelection('D')">
                                Data-enter </mat-radio-button>
                            </div>
                          </mat-radio-group>
                        </div>
                      </div>
                    </div>

                    <!--Question 1-->
                    <!-- <div fxLayout="row" fxLayout.xs="column">
                      <div fxFlex="1 1 550px nomax nomin" class="question-padding-left">
                        <mat-label [ngStyle]="{'color': isPsychiatricRequired === true ? redColor : blackColor}">
                          Do you have a Psychiatric Evaluation report?
                        </mat-label>
                        <div class="question-tool-tip-space">
                          <mat-icon class="mat-icon" style="width:0; font-size: 20px; align-self: left;"
                            matTooltip="Psychiatric evaluation must be dated within the last 180 days."
                            matTooltipPosition="above">
                            info
                          </mat-icon>
                        </div>
                      </div>

                      <div fxFlex style="margin-left : 170px">
                        <mat-radio-group aria-label="Select an option" formControlName="hasPsychiatricReportCtrl">
                          <div class="radio-button-space">
                            <mat-radio-button value="Y" (click)="psychiatricEvaluationSelection('Y')"> Yes
                            </mat-radio-button>
                          </div>
                          <div class="radio-button-space">
                            <mat-radio-button value="N" (click)="psychiatricEvaluationSelection('N')"> No
                            </mat-radio-button>
                          </div>
                        </mat-radio-group>
                      </div>

                    </div> -->

                    <!--Question 2-->
                    <!-- <div *ngIf="pactPsychiatricPsychoMHRGroup.controls['hasPsychiatricReportCtrl'].value === 'Y'"
                      fxLayout="row" fxLayout.xs="column" style="margin-top: 10px;">
                      <div fxFlex="1 1 550px nomax nomin" class="question-padding-left">
                        <mat-label [ngStyle]="{'color': isPsychiatricRequired === true ? redColor : blackColor}">
                          &nbsp;&nbsp;&nbsp;
                          Are you going to attach/data-enter the Psychiatric Evaluation report?
                        </mat-label>
                      </div>

                      <div fxFlex style="margin-left : 30px">
                        <mat-radio-group aria-label="Select an option"
                          formControlName="hasPsychiatricAttachmentORDataEnterCtrl">
                          <div class="radio-button-space">
                            <mat-radio-button value="A" (click)="psychiatricEvaluationAttachOrDataEnterSelection('A')">
                              Attach </mat-radio-button>
                          </div>
                          <div class="radio-button-space">
                            <mat-radio-button value="D" (click)="psychiatricEvaluationAttachOrDataEnterSelection('D')">
                              Data-enter </mat-radio-button>
                          </div>
                        </mat-radio-group>
                      </div>
                    </div> -->

                    <!--Question 3-->
                    <!-- <div fxLayout="row" fxLayout.xs="column" style="margin-top: 10px;">
                      <div fxFlex="1 1 550px nomax nomin" class="question-padding-left">
                        <mat-label class="redLabelText">
                          Do you have a Psychosocial Evaluation report?
                        </mat-label>
                        <mat-icon style="width:0; font-size: 20px; align-self: left;"
                          matTooltip="Psychosocial assessment must be dated with the last 180 days."
                          matTooltipPosition="above">
                          info
                        </mat-icon>
                      </div>

                      <div fxFlex style="margin-left : 170px">
                        <mat-radio-group aria-label="Select an option" formControlName="hasPsychosocialReportCtrl"
                          style="align-content: center; ">
                          <div class="radio-button-space">
                            <mat-radio-button value="Y" (click)="psychosocialEvaluationSelection('Y')"> Yes
                            </mat-radio-button>
                          </div>
                          <div class="radio-button-space">
                            <mat-radio-button value="N" (click)="psychosocialEvaluationSelection('N')"
                              class="mat-radio-button-option-no"> No </mat-radio-button>
                          </div>
                        </mat-radio-group>
                      </div>
                    </div> -->

                    <!--Question 4-->
                    <!-- <div *ngIf="pactPsychiatricPsychoMHRGroup.controls['hasPsychosocialReportCtrl'].value === 'Y'"
                      fxLayout="row" fxLayout.xs="column" style="margin-top: 10px;">
                      <div fxFlex="1 1 550px nomax nomin" class="question-padding-left">
                        <mat-label class="redLabelText">&nbsp;&nbsp;&nbsp;
                          Are you going to attach/data-enter the Psychosocial Evaluation report?
                        </mat-label>
                      </div>

                      <div fxFlex style="margin-left : 16px">
                        <mat-radio-group aria-label="Select an option"
                          formControlName="hasPsychosocialAttachmentORDataEnterCtrl">
                          <div class="radio-button-space">
                            <mat-radio-button value="A" (click)="psychosocialEvaluationAttachOrDataEnterSelection('A')">
                              Attach </mat-radio-button>
                          </div>
                          <div class="radio-button-space">
                            <mat-radio-button value="D" (click)="psychosocialEvaluationAttachOrDataEnterSelection('D')">
                              Data-enter </mat-radio-button>
                          </div>
                        </mat-radio-group>
                      </div>
                    </div> -->

                    <div fxLayout="row">
                      <div class="item" fxLayout="column" fxLayoutAlign="start">
                      </div>
                    </div>

                    <div *ngIf="pactPsychiatricPsychoMHRGroup.controls['isMHRYesReportCtrl'].value == true"
                      fxLayout="row" fxLayout.xs="column" style="margin-top: 10px;">
                      <div fxFlex="90%" class="question-padding-left">
                        <mat-label class="redLabelText">Note: Mental Health Report is required since
                          Psychiatric/Psychosocial evaluation is not available</mat-label>
                      </div>
                    </div>


                  </form>
                </div>
              </div>
            </mat-card>

          </ng-template>
        </mat-tab>

        <!--Psychiatric Evaluation Tab-->
        <mat-tab label="PsychiatricEvaluation"
          *ngIf="pactPsychiatricPsychoMHRGroup.controls['hasPsychiatricReportCtrl'].value == 'Y' 
                        && pactPsychiatricPsychoMHRGroup.controls['hasPsychiatricAttachmentORDataEnterCtrl'].value != null">
          <ng-template matTabLabel>
            <span>Psychiatric Evaluation</span>
            <mat-icon *ngIf="psychiatricEvaluationTabStatus !== blankTabStatus"
              [ngStyle]="{'color': psychiatricEvaluationTabStatus == pendingTabStatus ? pendingColor : psychiatricEvaluationTabStatus == completedTabStatus ? completedColor :noColor}">
              {{psychiatricEvaluationTabStatus == 1?'check_circle': psychiatricEvaluationTabStatus == 0 ? 'watch_later': ''}}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <app-psychiatric [userData]="userData" [pactPsychiatricPsychoMHR]="pactPsychiatricPsychoMHR"
              [tabStatus]="tabStatus" (psychiatricTabStatus)="psychiatricTabStatus($event)"
              (tabNavigation)="tabNavigation($event)"></app-psychiatric>
          </ng-template>
        </mat-tab>

        <!--Psychosocial Evaluation Tab-->
        <mat-tab label="PsychosocialEvaluation"
          *ngIf="pactPsychiatricPsychoMHRGroup.controls['hasPsychosocialReportCtrl'].value == 'Y'
                        && pactPsychiatricPsychoMHRGroup.controls['hasPsychosocialAttachmentORDataEnterCtrl'].value != null">
          <ng-template matTabLabel>
            <span>Psychosocial Evaluation</span>
            <mat-icon *ngIf="psychosocialEvaluationTabStatus !== blankTabStatus "
              [ngStyle]="{'color': psychosocialEvaluationTabStatus == pendingTabStatus ? pendingColor : psychosocialEvaluationTabStatus == completedTabStatus ? completedColor :noColor}">
              {{psychosocialEvaluationTabStatus == 1?'check_circle': psychosocialEvaluationTabStatus == 0 ? 'watch_later': ''}}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <app-psychosocial [userData]="userData" [pactPsychiatricPsychoMHR]="pactPsychiatricPsychoMHR"
              [tabStatus]="tabStatus" (psychosocialTabStatus)="psychosocialTabStatus($event)"
              (tabNavigation)="tabNavigation($event)"></app-psychosocial>
          </ng-template>
        </mat-tab>

        <!--MHR Tab-->
        <mat-tab label="MentalHealthReport"
          *ngIf="pactPsychiatricPsychoMHRGroup.controls['isMHRYesReportCtrl'].value == true">
          <ng-template matTabLabel>
            <span>Mental Health Report</span>
            <mat-icon *ngIf="mhrTabStatus !== blankTabStatus"
              [ngStyle]="{'color': mhrTabStatus == pendingTabStatus ? pendingColor : mhrTabStatus == completedTabStatus ? completedColor :noColor}">
              {{mhrTabStatus == 1?'check_circle': mhrTabStatus == 0 ? 'watch_later': ''}}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <app-mhr [userData]="userData" [pactPsychiatricPsychoMHR]="pactPsychiatricPsychoMHR" [tabStatus]="tabStatus"
              (mentalHealthReportTabStatus)="mentalHealthReportTabStatus($event)"
              (tabNavigation)="tabNavigation($event)"></app-mhr>
          </ng-template>
        </mat-tab>

      </mat-tab-group>
    </mat-card-content>
    <!--Buttons Section-->
    <div class="content-main" *ngIf="isParent">
      <div class="content-sub">
        <div class="content-sub-button-parent-left">
          <button type="button" mat-raised-button color="primary"
            (click)="savePsychiatricPsychosocialMHR()">Save</button>
          <!-- &nbsp;&nbsp;<app-tutorial pageName="mhr"></app-tutorial> -->
        </div>

        <div class="content-sub-button-parent-right">
          <button type="button" mat-raised-button color="primary" (click)="previousTab()">Previous</button>
          &nbsp;&nbsp;<button type="button" mat-raised-button color="primary" (click)="nextTab()">Next</button>
        </div>
      </div>
    </div>
  </mat-card>
</div>